package com.example.molinobd;

import java.util.Locale;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.Dialog;

import android.content.DialogInterface;

import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Bundle;

import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

import android.widget.TextView;

public class activity_menu_config extends Activity implements OnClickListener {
	TextView tv;
	
	// Contendr la configuracin por defecto
	Locale defaultLocale = null;

	String strLocale = null;
	
	// Contendr la lista de idiomas disponibles
	CharSequence[] listIdiomas = null;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu_config);
        
        // Obtener la configuracin actual ( por defecto, en caso de cancelar )
        defaultLocale = Locale.getDefault();
        
        
        // Informar sobre la configuracin actual:
        // String idioma = getResources().getConfiguration().locale.getDisplayName();
        // String strLocale = java.util.Locale.getDefault().getDisplayName();
        
        tv = (TextView) findViewById(R.id.txtActivity_menu_config_label);
        tv.setText(getResources().getString(R.string.strIdioma) + ": " + defaultLocale.getDisplayLanguage() + "(" + defaultLocale.getDisplayCountry() + ")" );
        
        // Recupera la lista de idiomas presente en string.xml
        listIdiomas = getResources().getStringArray(R.array.tabla_idiomas);
        
        // Gestionar el chic sobre el botn Idioma
        Button btnIdioma = (Button)  findViewById(R.id.btnActivity_menu_config_cambiar_idioma);      
        btnIdioma.setOnClickListener(this);

	}
	
	// @Override
	public void onClick(View v) {
		int id=v.getId();
		if(id==R.id.btnActivity_menu_config_cambiar_idioma) {	
			// Mostrar el cuado de dilogo que permite seleccionar el idioma
			showDialog(0);
		}
	}

	@Override
	protected Dialog onCreateDialog(int id) {
		DListener listener = new DListener();
		Dialog dialogo = null;
		if (id==0) {
			Builder builder = new AlertDialog.Builder(this);
			builder.setIcon(R.drawable.ic_dark_action_settings);
			builder.setTitle(getResources().getString(R.string.strMenu_config_cambiar_idioma));
			Log.w("DEBUG_TAG", "Warning: No se puede abrir la activity: " + defaultLocale.getDisplayLanguage());
			if ( defaultLocale.getDisplayLanguage().equalsIgnoreCase("espaol") ) {
				builder.setSingleChoiceItems(listIdiomas, 0, listener);
			} else if ( defaultLocale.getDisplayLanguage().equalsIgnoreCase("english") ) {
				builder.setSingleChoiceItems(listIdiomas, 1, listener);
			} else {
				builder.setSingleChoiceItems(listIdiomas, -1, listener);
			}
			builder.setPositiveButton(getResources().getString(R.string.PD_btn_ok), listener);
			builder.setNegativeButton(getResources().getString(R.string.PD_btn_Cancelar), listener);
			dialogo=builder.create();
		}
		return dialogo;
	}
	
	class DListener implements DialogInterface.OnClickListener {
		// @Override
		public void onClick(DialogInterface dialog, int which) {
			Log.w("DEBUG_TAG", "Warning: Opcin seleccionada: ");
			
			
			if ( which == 0) {
				// tv.setText(getResources().getString(R.string.strIdioma) + ": es_ES (" + which + ")");
				Log.w("DEBUG_TAG", "Warning: Se ha seleccionado la opcin: 0");
				/*  Resources res = this.getResources();
                // Change locale settings in the app.
                DisplayMetrics dm = res.getDisplayMetrics();
                android.content.res.Configuration conf = res.getConfiguration();
                conf.locale = new Locale("es"); //o "en" o "jp" lo que quieras
                res.updateConfiguration(conf, dm); 
				
				Locale locale = new Locale("es");
				Locale.setDefault(locale);
				Configuration config = new Configuration();
				config.locale = locale; 
				getBaseContext().getResources().updateConfiguration(config, null);
				*/
				
			}
			if (which == 1) {
				// tv.setText(getResources().getString(R.string.strIdioma) + ": en_US (" + which + ")");
				Log.w("DEBUG_TAG", "Warning: Se ha seleccionado la opcin: 1");
				/*
				Locale locale = new Locale("en");
				Locale.setDefault(locale);
				Configuration config = new Configuration();
				config.locale = locale; 
				getBaseContext().getResources().updateConfiguration(config, null);
				*/

			} 
			if (which == DialogInterface.BUTTON_NEGATIVE) {
				tv.setText(getResources().getString(R.string.strIdioma) + ": ---- (" + which + ")");
			}
		}

		private Resources getResources() {
			// TODO Auto-generated method stub
			return null;
		}
	}
	

}


