-- phpMyAdmin SQL Dump
-- version 3.3.7deb6
-- http://www.phpmyadmin.net
--
-- Servidor: hostingmysql264
-- Tiempo de generación: 27-01-2013 a las 18:14:47
-- Versión del servidor: 5.5.24
-- Versión de PHP: 5.2.6-1+lenny16

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT=0;
START TRANSACTION;


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `926375_mcanarios`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `bdm_molinos`
--

DROP TABLE IF EXISTS `bdm_molinos`;
CREATE TABLE IF NOT EXISTS `bdm_molinos` (
  `ID` int(5) NOT NULL AUTO_INCREMENT COMMENT 'Identificador',
  `VISIBLE` tinyint(1) DEFAULT NULL COMMENT 'Visiable',
  `FALTA` date DEFAULT NULL COMMENT 'Fecha de Alta',
  `NOMBRE` varchar(50) NOT NULL COMMENT 'Nombre molinos',
  `TIPOLOGIA` varchar(50) DEFAULT NULL COMMENT 'Tipología del molino/molineta',
  `TITULARIDAD` tinyint(2) DEFAULT NULL COMMENT 'Tipo de Titularidad',
  `ISLA` tinyint(2) DEFAULT NULL COMMENT 'Isla en la que se encuentra',
  `MUNICIPIO` varchar(30) DEFAULT NULL COMMENT 'Municipio en el que se encuentra',
  `LATITUD` varchar(20) DEFAULT NULL COMMENT 'Latitud en el que se encuentra',
  `LONGITUD` varchar(20) DEFAULT NULL COMMENT 'Latitud en el que se encuentra',
  `FCONSTRUCCION` varchar(25) DEFAULT NULL COMMENT 'Fecha Aprox. de construcción',
  `VOTOS` int(10) DEFAULT NULL,
  `URL` varchar(255) DEFAULT NULL COMMENT 'URL web oficial',
  `BOCTEXT` varchar(100) DEFAULT NULL COMMENT 'Texto BOC Declaración Bien de Interés Cultural',
  `BOCURL` varchar(255) DEFAULT NULL COMMENT 'URL BOC Declaración Bien de Interés Cultural',
  `OBSERVACIONES` text COMMENT 'Observaciones Generales',
  `BIBLIOGRAFIA` text COMMENT 'Fuentes bibliográficas',
  PRIMARY KEY (`ID`),
  KEY `NOMBRE` (`NOMBRE`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Volcar la base de datos para la tabla `bdm_molinos`
--

INSERT INTO `bdm_molinos` (`ID`, `VISIBLE`, `FALTA`, `NOMBRE`, `TIPOLOGIA`, `TITULARIDAD`, `ISLA`, `MUNICIPIO`, `LATITUD`, `LONGITUD`, `FCONSTRUCCION`, `VOTOS`, `URL`, `BOCTEXT`, `BOCURL`, `OBSERVACIONES`, `BIBLIOGRAFIA`) VALUES
(1, 1, '2012-11-28', 'La Verdellada', 'Molinos de viento', 3, 14, 'San Cristóbal de La Laguna', '28.481636390458163', '-16.3164433836', '-', 10, '-', '-', '-', 'No hay observaciones', 'Fotografía: Rodríguez, W. (2008) \r\nNo hay referencias bibliográficas'),
(2, 1, '2012-11-28', 'Paraninfo', 'Molinos de viento', 4, 14, 'San Cristóbal de La Laguna', '28.481636390458163', '-16.3168433836', '-', 5, '-', '-', '-', 'No hay observaciones', 'No hay referencias bibliográficas'),
(3, 1, '2013-01-03', 'Monte Pueblo', 'Molinos de viento', 0, 12, 'Villa de Mazo', '28.481636390458163', '-16.3160433836', '-', 50, '-', '-', '-', 'No hay observaciones', 'Fotografía: Rodríguez, W. (2008) \r\nNo hay referencias bibliográficas'),
(4, 1, '2013-01-03', 'Las Breñas', 'Molinos de viento', 3, 12, 'Breña Baja', '28.481636390458163', '-16.3154433836', '-', 25, '-', '-', '-', 'No hay observaciones', 'Fotografía: Rodríguez, W. (2008) \r\nNo hay referencias bibliográficas'),
(5, 1, '2013-01-02', 'San Juan', 'Molinos hidráulicos', 3, 14, 'San Cristóbal de La Laguna', '28.482014781571934', '-16.3174433836', '-', 20, '-', '-', '-', 'No hay observaciones', 'No hay referencias bibliográficas'),
(6, 1, '2013-01-07', 'Molino Lejano', 'Molinos de Viento', 5, 12, 'Santa Cruz de La Palma', '28.676182201032013', '-17.767247557640075', '-', 0, '-', '-', '-', 'No hay observaciones', 'No hay referencias bibliográficas');
COMMIT;
