<?php  // $Id: getmolinojson.php,v 1.0 2012/11/01 13:01:51 $
       // getmolinojson.php - Obtener datos de un molino, segn ID.

///////////////////////////////////////////////////////////////////////////
//                                                                       //
// NOTICE OF COPYRIGHT                                                   //
//                                                                       //
// MCanarios - Gua de Molinos de Gofio Canarios						 //	
//             Edicin para dispositivos mviles                         //
//                                                                       //
// Copyright (C) 2012  http://www.wilmerodriguez.mobi/MCanarios          //
//                                                                       //
// This program is free software; you can redistribute it and/or modify  //
// it under the terms of the GNU General Public License as published by  //
// the Free Software Foundation; either version 2 of the License, or     //
// (at your option) any later version.                                   //
//                                                                       //
// This program is distributed in the hope that it will be useful,       //
// but WITHOUT ANY WARRANTY; without even the implied warranty of        //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         //
// GNU General Public License for more details:                          //
//                                                                       //
//          http://www.gnu.org/copyleft/gpl.html                         //
//                                                                       //
///////////////////////////////////////////////////////////////////////////
	   
	   
/** Inicio del PHP GETMOLINOJSON.PHP
 *  Se verifica que exista el archivo de configuracin, en caso contrario,
 *  	se redirige hacia le proceso de instalacin	
 */	   
if (!file_exists('../config.php')) {
        header('Location: ../install.php');
        die ("Error");
    }

    require_once('../config.php');
    require_once('../require/bdconfig.php');

	// Si se necesita enviar al navegador el XML devuelto, quitar la lnea de abajo
	// echo "Conectando a la base de datos: ", $CFG->dbhost, "<br />";
	
	// Comprobar que se han pasado parmetros
	if ( isset($_GET["ID"]) || isset($_GET["NOMBRE"]) ) { 
		// Seleccionando y conectando a la base de datos
		$db_conexion=mysql_connect($CFG->dbhost, $CFG->dbuser, $CFG->dbpass);
		if (!$db_conexion) {
			die('No se pudo conectar con Base de datos: <br/>' . mysql_error());
		}
		mysql_select_db($CFG->dbname);
		
		// Recuperar datos y escaparlos por seguridad
		$ID = mysql_real_escape_string($_GET['ID']); 
		$NOMBRE = mysql_real_escape_string($_GET['NOMBRE']);
		
		if ( !empty($ID) )  {
			$WHERE = "ID = $ID";
		}
		if ( !empty($NOMBRE) )  {
			$WHERE = "NOMBRE like '%$NOMBRE%'";
		}
		if ( !empty($NOMBRE) && !empty($ID) )  {
			$WHERE = "ID = $ID and NOMBRE = '$NOMBRE'";
		}
		

		// Obtener total de votaciones 
		$result = mysql_query("SELECT sum(VOTOS) as VOTACIONES  FROM bdm_molinos");
		if (!empty($result)) { 
    	// Comprobar que exista al menos un resultatdo (Query NO vacia)
			if (mysql_num_rows($result) > 0) { 
				// Bucle que recorre todos los resultados
				$row = mysql_fetch_array($result); 
				$Votaciones = $row["VOTACIONES"]; 
			}
		}		
	
		
		// Obtener datos del molino pasado como parmetro
		$result = mysql_query("select ID, VISIBLE, FALTA, NOMBRE, TIPOLOGIA, TITULARIDAD, ISLA, MUNICIPIO, LATITUD, LONGITUD, FCONSTRUCCION, VOTOS, URL, BOCTEXT, BOCURL, OBSERVACIONES, BIBLIOGRAFIA from bdm_molinos WHERE $WHERE"); 
		
		if (!empty($result)) { 
    	// Comprobar que exista al menos un resultatdo (Query NO vacia)
			if (mysql_num_rows($result) > 0) { 
				// Bucle que recorre todos los resultados
				// Crear documento JSON
				// $row = mysql_fetch_array($result); 
				
				// nodo (molino) solicitado 
				$response["mcanarios"] = array(); 
				
				// Crear documento JSON
				while( $row = mysql_fetch_array($result, MYSQL_ASSOC) ) {    
					// Array roworal de molinos
					
					$molino = array(); 
					
					$molino["ID"] = utf8_encode($row["ID"]); 
					$molino["VISIBLE"] = utf8_encode($row["VISIBLE"]); 
					$molino["FALTA"] = utf8_encode($row["FALTA"]); 
					$molino["NOMBRE"] = utf8_encode($row["NOMBRE"]); 
					$molino["TIPOLOGIA"] = utf8_encode($row["TIPOLOGIA"]); 
					$molino["TITULARIDAD"] = utf8_encode($row["TITULARIDAD"]); 
					$molino["ISLA"] = utf8_encode($row["ISLA"]); 
					$molino["MUNICIPIO"] = utf8_encode($row["MUNICIPIO"]); 
					$molino["LATITUD"] = utf8_encode($row["LATITUD"]); 
					$molino["LONGITUD"] = utf8_encode($row["LONGITUD"]); 
					$molino["FCONSTRUCCION"] = utf8_encode($row["FCONSTRUCCION"]); 
					$molino["VOTOS"] = utf8_encode($row["VOTOS"]); 
					$molino["URL"] = utf8_encode($row["URL"]); 
					$molino["BOCTEXT"] = utf8_encode($row["BOCTEXT"]); 
					$molino["BOCURL"] = utf8_encode($row["BOCURL"]); 
					$molino["OBSERVACIONES"] = utf8_encode($row["OBSERVACIONES"]); 
					$molino["BILIOGRAFIA"] = utf8_encode($row["BIBLIOGRAFIA"]); 
					
					
					// Incluir item molino en el array final
					array_push($response['mcanarios'], $molino);  
				}	
				
				// Nmero de Votaciones totales
				$response["VOTACIONES"] = (double) $Votaciones ; 
				
				// Proceso realizado 
				$response["success"] = 1; 
  			
				// Generar respuesta JSON
				echo json_encode($response); 
			} else { 
				// No se ha encontrado resultado (Query vacia)
				$response["success"] = 0; 
				$response["message"] = "Molino no encontrado"; 
  
				// Generar respuesta de resultado no encontrado 
				echo json_encode($response); 
			}
			// Cerrar Query
			mysql_free_result($result);  
        } else { 
			// No se ha encontrado un resultado (Query vacia)
			$response["success"] = 0; 
			$response["message"] = "Molino no encontrado"; 
  
			// Generar respuesta de resultado no encontrado 
			echo json_encode($response); 
		}
		
		// Cerrar conecin a la base de datos
		mysql_close($db_conexion);
		
	} else { 
		// Parmetro (ID) requerido
		$response["success"] = 10; 
		$response["message"] = "Campo(s) requerido(s). ID omitido"; 
  
		// Generar respuesta de resultado no encontrado 
		echo json_encode($response); 
	}	
?>